NI-VXI 3.2 - Windows ME/2000/98/NT 0 Ratings | 0.00 out of 5 |   Print

Available Downloads:

Updates and Notifications:
Critical Updates and Security Notifications are posted on ni.com. Before downloading, click here to review this information.

Download Language: English

Product Line: VXI/VME/MXI

Version: 3.2

Release date: 09-01-2001

Software type: Driver

Operating system: Windows ME; Windows 2000; Windows 98; Windows NT

Description

NI-VXI is the interface software for your National Instruments VXI controller. It provides the necessary driver to access devices on any VXI bus attached to your workstation. Using NI-VXI, you can control a VXI bus using National Instruments VXIpc embedded controllers, MXI-2 extender technology, VXI-1394 controllers, VXI-8340 series controllers, or any combination of the four. This software supports the PCI-MXI-2 and VXI-834x under Windows 2000/NT/Me/98, current-generation VXIpc controllers under Windows 2000/NT/98, and VXI-1394 under Windows 2000/Me/98. NI-VXI works by providing a software layer between the NI-VISA programming interface and your hardware. You write programs in LabVIEW, C++, or other environments that use industry-standard VISA functions to access and control your VXI device, and NI-VISA uses NI-VXI to perform the appropriate operations on your device. NI-VXI uses the standard National Instruments Measurement & Automation Explorer (MAX) for configuration. Through MAX, you can set up any configuration options for your VXI controllers and devices.

Installation Instructions

Installation Issues - If you have NI-VXI 2.x installed on your system, you will lose stored configuration options (interrupt handlers, signal mappings, VME devices, etc.) for your board when upgrading to NI-VXI 3. Be sure to record this information before upgrading. - NI-VXI 3.2 installs VISA 2.5.2 on your system. If you already have VISA 2.5 installed, your configuration settings (aliases, serial port settings, etc.) will not be preserved. However, your old VISACONF.INI will be backed up as VISAINI.BAK in the same directory. - If you are using LabVIEW 6i, you must upgrade to LabVIEW 6.0.1 or later before installing NI-VXI 3.2. An upgrade to LabVIEW 6.0.2 is available on the CD-ROM version of NI-VXI 3.2. It can be found by choosing "Explore CD" from the Autorun Menu. It will be found in x:\Extras\LabVIEW 6.0.2 Update\, where x is the letter of your CD-ROM drive. - Occassionally, after uninstalling certain NI software that was installed prior to NI-VXI 3.2, the "Hardware Configuration" panel for a VXI controller in MAX may stop functioning. If this happens, you will need to go to the Add/Remove Programs control panel, choose "NI-VXI 3.2," and use the "Reinstall" option. This is currently known to be necessary when you install LabVIEW 6i, then install NI-VXI 3.2, and then uninstall LabVIEW 6i.

The installation process for NI-VXI includes installing NI-VISA, MAX, the NI-VXI 3 driver and associated configuration files, and the NI-VXI API emulation layer included with NI-VXI 3. Optionally, the installer can also install development utilities and documentation related to the NI-VXI API. NI-VXI stores various configuration options and associated applications in a folder located by default in Program Files\National Instruments\VXI. You can also specify a different location to install these files. By default, the NI-VXI API emulation layer is installed. This library provides a familiar programming interface and utility package for users of older versions of NI-VXI. If you are not a current NI-VXI 1.x/2.x user, or if you currently use VISA as your programming interface, there is no need to install this option.

Supported hardware

The following devices are supported for use with this download:

  • PCI-8320
  • PCI-MXI-2
  • PCI-MXI-2 Universal
  • PXI-8320
  • VMEpc-650
  • VXI-8340
  • VXI-USB
  • VXIpc-650
  • VXIpc-740
  • VXIpc-770
  • VXIpc-850
  • VXIpc-860
  • VXIpc-870
  • VXIpc-870B

Your Feedback

Rate this document

Answered Your Question?
Yes No

Submit